/*! HTML5 Boilerplate v6.0.1 | MIT License | https://html5boilerplate.com/ */

/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */

html {
    color: #222;
    font-size: 1em;
    line-height: 1.4;
}

/*
 * Remove text-shadow in selection highlight:
 * https://twitter.com/miketaylr/status/12228805301
 *
 * Vendor-prefixed and regular ::selection selectors cannot be combined:
 * https://stackoverflow.com/a/16982510/7133471
 *
 * Customize the background color to match your design.
 */

::-moz-selection {
    background: #b3d4fc;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    text-shadow: none;
}

/*
 * A better looking default horizontal rule
 */

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

audio,
canvas,
iframe,
img,
svg,
video {
    vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
    resize: vertical;
}


/* ==========================================================================
   Author's custom styles
   ========================================================================== */

* {
  box-sizing : border-box;
}


html {
  font-size : 62.5%;
  scroll-behavior: smooth;
}

body {
  min-height : 100vh;
  background : rgb(26, 26, 26) url(../img/fond.jpg) no-repeat center bottom fixed;
  background-size: cover;
  font-size : 1.8rem;
  font-family: 'Oswald', sans-serif;
  color : rgb(218, 204, 170);
}

body:after {
  content : '';
  display : block;
  position : fixed;
  z-index : -1;
  top : 0; left :0; bottom : 0; right : 0;
  background : rgba(0,0,0,0);
}

a {
  text-decoration : none;
  color : #ffcc99;
}

a:hover,a:focus,a:active {
  color : #fff;
}

main {
  min-height: 100vh;
  display: flex;
  flex-direction : column;
  align-items: stretch;
  padding : 2em 0;
}

.section {
  margin : auto;
  padding : 2em 1rem;
  width : 100%;
  max-width : 40em;
}

h1 {
  font-weight: 500;
  margin-left : 2em;
  text-shadow: 0px 4px 3px rgba(0,0,0,0.4),
             0px 8px 13px rgba(0,0,0,0.1),
             0px 18px 23px rgba(0,0,0,0.1);
}

/* -----------------------------------------------------------------------------
                              FORMULAIRE
----------------------------------------------------------------------------- */

fieldset, .notification {
  background : rgb(51, 77, 72);
  border-radius: 5px;
}

fieldset {
  position : relative;
  padding : 3.5em 2.5em 2em 2em;
}

.notification {
  padding : 2em;
}

legend {
  position : absolute;
  display : block;
  top : 1em; left : 0;
  width : 100%;
  text-align: center;
  font-size : 1.5em;
  color : #ffcc99;
}

.message {
  color : #fff;
  text-align: center;
}

.field {
  margin-bottom : 2em;
}

label {
  display : block;
  cursor : pointer;
  transition: transform 0.25s;
}

.label {
  transform : translateY(1.2em);
}

.error label, .label-focus {
  transform : translateY(-0.5em);
}

.error label, .error small {
  color : #fff;
}

input, textarea {
  display: block;
  width : 100%;
  margin : 0;
  padding : 0.5em;
  border : none;
  border-bottom : 2px solid rgb(218, 204, 170);
  border-radius: 2px;
  background : transparent;
  color : #222;
}

input {
    line-height : 1;
}

input:focus,
textarea:focus,
.error input,
.error textarea {
  background : #fff;
}

textarea.focus,
textarea:focus {
  height : 20rem;
}

.valid {
  background : rgb(218, 204, 170);
}

button {
  background : rgba(204, 156, 94,0.3);
  border : none;
  border-radius: 2px;
  padding : 0.5em 1em;
  font-size: 1.5em;
  font-weight: 500;
  text-transform: uppercase;
  cursor: pointer;
  color : currentColor;

    transition : 0.25s;
}

button:hover,
button:focus,
button:active {
  background : rgba(204, 156, 94,0.5);
}

/* Change Autocomplete styles in Chrome*/
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus
input:-webkit-autofill,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
  border : none;
  -webkit-text-fill-color: #222;
  -webkit-box-shadow: 0 0 0px 1000px rgb(218, 204, 170) inset;
  transition: background-color 5000s ease-in-out 0s;
}

.effect {
  box-shadow: 0 0 65px rgba(0,0,0,0.2) inset, 0 0 20px rgba(32, 62, 64,0.8) inset, 0 0 5px #222;
}

.effect:before, .effect:after
{
  z-index: -1;
  position: absolute;
  content: "";
  bottom: 15px;
  left: 10px;
  width: 50%;
  top: 80%;
  max-width:20em;
  background: #777;
  -webkit-box-shadow: 0 15px 10px #222;
  -moz-box-shadow: 0 15px 10px #222;
  box-shadow: 0 15px 10px #222;
  -webkit-transform: rotate(-3deg);
  -moz-transform: rotate(-3deg);
  -o-transform: rotate(-3deg);
  -ms-transform: rotate(-3deg);
  transform: rotate(-3deg);
}
.effect:after
{
  -webkit-transform: rotate(3deg);
  -moz-transform: rotate(3deg);
  -o-transform: rotate(3deg);
  -ms-transform: rotate(3deg);
  transform: rotate(3deg);
  right: 10px;
  left: auto;
}





/* ==========================================================================
   Helper classes
   ========================================================================== */

/*
 * Hide visually and from screen readers
 */

.hidden {
    display: none !important;
}

/*
 * Hide only visually, but have it available for screen readers:
 * https://snook.ca/archives/html_and_css/hiding-content-for-accessibility
 *
 * 1. For long content, line feeds are not interpreted as spaces and small width
 *    causes content to wrap 1 word per line:
 *    https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe
 */

.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    -webkit-clip-path: inset(50%);
    clip-path: inset(50%);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
    white-space: nowrap; /* 1 */
}

/*
 * Extends the .visuallyhidden class to allow the element
 * to be focusable when navigated to via the keyboard:
 * https://www.drupal.org/node/897638
 */

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    -webkit-clip-path: none;
    clip-path: none;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
    white-space: inherit;
}

/*
 * Hide visually and from screen readers, but maintain layout
 */

.invisible {
    visibility: hidden;
}

/*
 * Clearfix: contain floats
 *
 * For modern browsers
 * 1. The space content is one way to avoid an Opera bug when the
 *    `contenteditable` attribute is included anywhere else in the document.
 *    Otherwise it causes space to appear at the top and bottom of elements
 *    that receive the `clearfix` class.
 * 2. The use of `table` rather than `block` is only necessary if using
 *    `:before` to contain the top-margins of child elements.
 */

.clearfix:before,
.clearfix:after {
    content: " "; /* 1 */
    display: table; /* 2 */
}

.clearfix:after {
    clear: both;
}

/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   These examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */

@media only screen and (min-width: 35em) {
    /* Style adjustments for viewports that meet the condition */
}

@media print,
       (-webkit-min-device-pixel-ratio: 1.25),
       (min-resolution: 1.25dppx),
       (min-resolution: 120dpi) {
    /* Style adjustments for high resolution devices */
}

/* ==========================================================================
   Print styles.
   Inlined to avoid the additional HTTP request:
   http://www.phpied.com/delay-loading-your-print-css/
   ========================================================================== */

@media print {
    *,
    *:before,
    *:after {
        background: transparent !important;
        color: #000 !important; /* Black prints faster:
                                   http://www.sanbeiji.com/archives/953 */
        box-shadow: none !important;
        text-shadow: none !important;
    }

    a,
    a:visited {
        text-decoration: underline;
    }

    a[href]:after {
        content: " (" attr(href) ")";
    }

    abbr[title]:after {
        content: " (" attr(title) ")";
    }

    /*
     * Don't show links that are fragment identifiers,
     * or use the `javascript:` pseudo protocol
     */

    a[href^="#"]:after,
    a[href^="javascript:"]:after {
        content: "";
    }

    pre {
        white-space: pre-wrap !important;
    }
    pre,
    blockquote {
        border: 1px solid #999;
        page-break-inside: avoid;
    }

    /*
     * Printing Tables:
     * http://css-discuss.incutio.com/wiki/Printing_Tables
     */

    thead {
        display: table-header-group;
    }

    tr,
    img {
        page-break-inside: avoid;
    }

    p,
    h2,
    h3 {
        orphans: 3;
        widows: 3;
    }

    h2,
    h3 {
        page-break-after: avoid;
    }
}
